//
//  CrashReportUploadOperation.h
//  HelloAnalytics
//
//  Created by Saravanan S on 08/08/18.
//  Copyright © 2018 Saravanan S. All rights reserved.
//

#import <Foundation/Foundation.h>
#if !TARGET_OS_OSX
#import <UIKit/UIKit.h>
#else
#import <Cocoa/Cocoa.h>
#endif
//#if __has_include(<Apptics/Apptics.h>)
//#import <Apptics/APAAAUtil.h>
//#endif

@interface APCrashReportUploadOperation : NSOperation

@property (nonatomic, strong) NSString *fileName;
@property (nonatomic, strong) NSDictionary *crashReport;
@property (nonatomic, strong) NSArray *reportIds;
@property (nonatomic, strong) NSURL *url;
@property (nonatomic, strong) NSString *params;


#if !TARGET_OS_OSX && !TARGET_OS_WATCH
@property (nonatomic) UIBackgroundTaskIdentifier backgroundUpdateTask;
#endif

- (id)initWithCrashReport:(NSDictionary *)crashReport;
- (id)initWithFileName:(NSString*)fileName;

@end
